Skip to main content
PUT
Start a durable Speech or Transcription job

Authorizations

pyai_session
string
cookie
required

Console session cookie. PyAI-admin routes also require the configured platform-admin email allowlist.

Path Parameters

projectId
string
required
id
string
required
Pattern: ^crj_[a-f0-9-]{36}$

Body

product
enum<string>
required
Available options:
speak,
hear
name
string
required
Required string length: 1 - 160
format
enum<string>
required
Available options:
mp3,
wav,
txt
traceReview
boolean

For hear only: save a real deterministic personal data review to Trace after transcription. Uses workspace transcription credits. No future call settings change.

text
string

Speech script, up to 2,000 Unicode characters. Empty for transcription.

voiceId
string

Required for Speech.

Maximum string length: 200
voiceName
string
Maximum string length: 200
language
enum<string>

Spoken language for Transcription; empty detects it.

Available options:
,
en,
es,
fr,
de,
hi,
it,
pt,
nl,
zh,
yue,
ar,
id,
ko,
th,
vi,
ja,
tr,
ms,
sv,
da,
fi,
pl,
cs,
fil,
fa,
el,
hu,
mk,
ro
sourceName
string
Maximum string length: 240

Response

Durably accepted, or the existing job for this request ID.

id
string
required
product
enum<string>
required
Available options:
speak,
hear
name
string
required
status
enum<string>
required
Available options:
queued,
running,
completed,
failed
stage
enum<string>
required
Available options:
queued,
connecting,
generating,
transcribing,
saving,
completed,
failed
input
object
required
error_code
string | null
required
charge
enum<string>
required
Available options:
not_started,
unconfirmed,
metered
created_at
integer
required

Unix milliseconds.

updated_at
integer
required

Unix milliseconds.

creation_id
string | null
required